Subject: Bug#1182: [X2Go-Dev] Bug#1182: nxagent 3.6 and KDE4 causes X2Go Client for Windows's session window to "jump" up and down

From: Mike DePaulo <[email-masked]>
Date: Mon, 29 May 2017 09:33:59 -0400

On Mon, May 29, 2017 at 4:47 AM, Mike Gabriel <
[email-masked]> wrote:

> Hi Mike,
>  [...]

>
> this seems to be a duplicate of
>
> https://github.com/ArcticaProject/nx-libs/issues/161
>
> It would be really helpful, if you could test this with a non-X2Go based
> NX session.
>
> How to achieve this:
>
>   1) Adapt to your setup/needs: [1]
>   2) Launch VcXsrv on Windows machine
>   3) launch nxagent session on Linux server
>   4) Launch KDE4 inside the NX session
>   5) Launch nxproxy on the windows client as shown by [1]
>   6) Test if the same issue occurs as observed with X2Go Client
>
> I seem to remember that there is some Window-size manipulation code in
> X2Go Client somewhere when built on MS Win, so that might be obsolete with
> NX 3.6.
>
> Mike
>
>
> [1] https://github.com/ArcticaProject/nx-libs/blob/3.6.x/
> testscripts/run-nxproxy2nxagent-over-network

Hi Mike#1,

I tried that, however.

1. After I do the following and wait several seconds:
a. Run the script on the server
b. export DISPLAY=:9
c. startkde
nxagent is no longer running, and I get the message "$DISPLAY is not set or
cannot connect to the X server."

2. The client errors with:
Error: Please specify either the -C or -S option.
Session: Session terminated at 'Mon May 29 09:26:34 2017'.

wrt to #2:
a. I tried running `export NX_HOST` 1st.
b. I created /home/ad.depaulo.org/mike/.nx/S-9/
c. /home/ad.depaulo.org/mike/.nx/S-9/options contains:
nx/nx,keybd=1,samba=0,cups=0,connect=tcp:192.168.1.25:4009
,cookie=123efa980d2cba234ef6f73deac810ff,errors=/home/
ad.depaulo.org/mike/.nx/S-9/session:9
d. The command is:
nxproxy -S nx/nx,options=/home/ad.depaulo.org/mike/.nx/S-9/options:9
2>>/home/ad.depaulo.org/mike/.nx/S-9/session

-Mike#2